{% extends "ajax/ajax.html.twig" %}
{% block ajax %}
    {# @var dead_citizen \App\Entity\CitizenRankingProxy #}

    <div class="row">
        <div class="cell ro-2 rw-8 ro-lg-1 rw-lg-10 ro-md-0 rw-md-12">
            <div class="death_header">
                <div>{{ 'Herzlichen Glückwunsch, du bist TOT!'|trans({},'game') }}</div>
                <div>{{ dead_citizen.cod.label|trans({},'game') }}</div>
            </div>
            <div class="death_footer">
                {% if not dead_citizen.disabled and not dead_citizen.town.disabled %}
                    {% if sp > 0 %}
                        {{ 'Du hast {sp} Seelenpunkte gewonnen!'|trans({'{sp}':sp},'game') }}
                    {% elseif (day <= 1) %}
                        {{ 'Du hast keine Seelenpunkte gewonnen (am ersten Tag gestorben).'|trans({},'game') }}
                    {% else %}
                        {{ 'Du hast keine Seelenpunkte gewonnen.'|trans({},'game') }}
                    {% endif %}
                {% endif %}
            </div>

            <br />

            <div class="row">
                <div class="cell rw-6 rw-sm-12 death-desc">
                    <img class="fit" alt="" src="{{ asset('build/images/death/' ~ dead_citizen.cod.icon ~ '.jpg') }}" />
                    <div class="small-note">{{ dead_citizen.cod.description|trans({},'game') }}</div>
                    <div>
                        <button {% if gazette %}x-ajax-href="{{ path('game_newspaper') }}"{% else %}disabled{% endif %}>{{ 'Die letzte Zeitung lesen'|trans({},'game') }}</button>
                        {% if not gazette %}<div class="tooltip">{{ 'Unglücklicherweise ist deine Stadt vollkommen im Wüstensand versunken... Die Gemeinschaft wurde ausgelöscht.'|trans({}, 'game') }}</div>{% endif %}
                    </div>
                </div>
                <div class="cell rw-6 rw-sm-12">
                    <div class="death_list">
                        {% if dead_citizen.disabled or dead_citizen.town.disabled %}
                            <div class="note note-warning">
                                <b>{{ 'Ranking-Ausschluss'|trans({},'game') }}</b><br />
                                {{ 'Dieses Leben wird aus den Annalen der Geschichte getilgt. Du erhälst weder Seelenpunkte noch Auszeichnungen.'|trans({},'game') }}
                            </div>
                        {% else %}
                            {% if pictos|length > 0 %}
                            <b>{{ 'Du hast folgende Auszeichnungen verliehen bekommen:'|trans({},'game')  }}</b>
                            <ul>
                            {% for picto in pictos|sort((a, b) => a.prototype.label|trans({}, 'game') <=> b.prototype.label|trans({}, 'game')) %}
                                <li {% if picto.prototype.rare %}class="rare"{% endif %}>
                                    <div>
                                        <img alt="" src="{{  asset('build/images/pictos/' ~ picto.prototype.icon ~ '.gif') }}" />
                                    </div>
                                    {{picto.prototype.label|trans({}, 'game')}} <span class="count">+ {{picto.count}}</span>
                                    <div class="tooltip">
                                        <h1>{{ picto.prototype.label|trans({}, 'game') }}</h1>
                                        {{ picto.prototype.description|trans({}, 'game')}}
                                    </div>
                                </li>
                            {% endfor %}
                            </ul>
                            {% endif %}
                            {% if denied_pictos|length > 0 %}
                                <b>{{ 'Wenn du eine zusätzliche Nacht geblieben wärst, hättest du auch die folgenden Preise gewinnen können:'|trans({},'game')  }}</b>
                                <ul>
                                {% for picto in denied_pictos %}
                                    <li {% if picto.prototype.rare %}class="rare"{% endif %}>
                                        <div>
                                            <img src="{{  asset('build/images/pictos/' ~ picto.prototype.icon ~ '.gif') }}" />
                                        </div>
                                        {{picto.prototype.label|trans({}, 'game')}} <span class="count">+ {{picto.count}}</span>
                                        <div class="tooltip">
                                            <h1>{{ picto.prototype.label|trans({}, 'game') }}</h1>
                                            {{ picto.prototype.description|trans({}, 'game')}}</em>
                                        </div>
                                    </li>
                                {% endfor %}
                                </ul>
                            {% endif %}
                        {% endif %}
                        <hr class="dashed" />
                        {% if dead_citizen.generosityBonus > 0 and not dead_citizen.disabled and not dead_citizen.town.disabled %}
                            <b>{{ 'Im Schweiße deines Angesichts hast du dir folgende Boni verdient:'|trans({},'game')  }}</b>
                            <ul>
                                <li>
                                    <div>
                                        <img alt="" src="{{  asset('build/images/pictos/f_share.gif') }}" />
                                    </div>
                                    {{ 'Aufladungen für "Freundschaft"'|trans({}, 'game') }} <span class="count">× {{dead_citizen.generosityBonus}}</span>
                                    <div class="tooltip">
                                        {{ 'Ermöglicht es dir, die Heldentat "Freundschaft" einzusetzen.'|trans({},'game') }}
                                    </div>
                                </li>
                            </ul>
                            <hr class="dashed" />
                        {% endif %}
                        {{ help_lnk('Die Auszeichnungen'|trans({}, 'help'), 'help', {'name': 'your_soul'}) }}
                    </div>
                </div>
            </div>

            <div class="row">
                <div class="padded cell rw-12">
                    <h5>{{ 'Begrüße den Tod wie es sich gehört...'|trans({},'game') }}</h5>
                </div>
                <div class="padded cell rw-12">
                    <div class="note">
                        <b>{{ 'Der Tod in "MyHordes" ist nicht weiter schlimm!'|trans({},'game') }}</b>
                        {{ 'Du kannst in einer neuen Stadt wiedergeboren werden und das so oft wie du möchtest. Sei erfinderisch, probiere verschiedene Optionen aus und finde deinen eigenen Spielstil!'|trans({},'game') }}
                    </div>
                </div>
                <div class="rebirth padded rw-12 cell row">
                    {% if dead_citizen.cod.ref != constant('App\\Entity\\CauseOfDeath::Poison') and dead_citizen.cod.ref != constant('App\\Entity\\CauseOfDeath::GhulEaten') and dead_citizen.cod.ref != constant('App\\Entity\\CauseOfDeath::Strangulation') %}
                        <div class="cell rw-4 rebirth_label">
                            <label for="last_words">{{'Deine letzten Worte:'|trans({}, 'game')}}</label>
                        </div>
                        <div class="cell rw-8">
                            <input type="text" name="last_words" id="last_words" placeholder="{{ '' }}" {% if app.user|restricted(constant('App\\Entity\\AccountRestriction::RestrictionComments')) %}disabled{% endif %} />
                        </div>
                        <div class="cell rw-12 rebirth_btn">
                            <button id="rebirth_btn">{{ 'Wiedergeboren werden'|trans({},'game') }}</button>
                        </div>
                    {% else %}
                        <div class="note note-critical" style="font-variant: small-caps">{{ 'Ermordet zu werden ist äußerst ärgerlich (ja, wirklich!). Aber wir bitten dich dringend, <u>die Identität deines Mörders gegenüber deinen ehemaligen Mitbürgern nicht aufzudecken</u>... Lass ihnen das Vergnügen, selbst ermitteln zu müssen!'|trans({}, 'game')|raw }}</div>
                        <div class="cell rw-12 rebirth_btn">
                            <button id="rebirth_btn">{{ 'Fortfahren...'|trans({},'game') }}</button>
                        </div>
                    {% endif %}
                </div>
            </div>
        </div>
    </div>
{% endblock %}
{% block js %}
    {{parent()}}
    <script>
        document.getElementById('rebirth_btn').addEventListener('click', function() {
            if (confirm('{{ 'Bist du sicher?'|trans({},'global') }}')) {
                var lastWords = "";
                if(document.getElementById("last_words") !== null)
                    lastWords = document.getElementById("last_words").value;
                
                $.ajax.easySend( '{{ path('api_unsubscribe') }}', {lastwords: lastWords},
                    function () {
                        $.ajax.load(null, '{{ path('postgame') }}', true);
                    } );
            }
        });
    </script>
{% endblock %}